Get video details
curl --request GET \
--url https://api.videobase.com/v1/videos/info \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobase.com/v1/videos/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobase.com/v1/videos/info"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "a1b2c3d4e5f6",
"createdAt": "<string>",
"isPublic": true,
"views": 1,
"name": "<string>",
"size": 1,
"skipIntro": 1,
"links": {
"download": "<string>",
"embed": "<string>"
},
"images": {
"single": "<string>",
"thumbnail": "<string>",
"splash": "<string>"
}
}{
"message": "File not found",
"status": 500
}Videos
Get video details
GET
/
v1
/
videos
/
info
Get video details
curl --request GET \
--url https://api.videobase.com/v1/videos/info \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobase.com/v1/videos/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobase.com/v1/videos/info"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "a1b2c3d4e5f6",
"createdAt": "<string>",
"isPublic": true,
"views": 1,
"name": "<string>",
"size": 1,
"skipIntro": 1,
"links": {
"download": "<string>",
"embed": "<string>"
},
"images": {
"single": "<string>",
"thumbnail": "<string>",
"splash": "<string>"
}
}{
"message": "File not found",
"status": 500
}Authorizations
ApiKeyHeaderApiKeyQuery
Recommended. Your 16-character Videobase API key.
Query Parameters
Video ID. Twelve-character Videobase video or remote-upload identifier.
Required string length:
12Pattern:
^\w{12}$Example:
"a1b2c3d4e5f6"
Response
Video details.
Twelve-character Videobase video or remote-upload identifier.
Required string length:
12Pattern:
^\w{12}$Example:
"a1b2c3d4e5f6"
Creation timestamp in YYYY-MM-DD HH:mm:ss server time.
Required range:
x >= 0Combined source and encoded file size in bytes.
Required range:
x >= 0Seconds skipped at the start of playback.
Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes